-- load animalFeedTypes, basically use default function
-- by modelleicher (Farming Agency)

loadAnimalFood = {}

local modDirectory = g_currentModDirectory

function loadAnimalFood.loadAnimalFoodFromXML(self, superFunc, val1, val2)

    local returnValue = superFunc(self, val1, val2)

    if fileExists(modDirectory.."xml/animalFood.xml") then
        local animalFoodXML = loadXMLFile("grainMillPlus_animalFood", modDirectory.."xml/animalFood.xml")

        g_AnimalFoodTypes:loadAnimalFood(animalFoodTypesXML, nil, modDirectory, false)
	    delete(animalFoodXML)
    else
        print("GrainMillPlus Warning: Can't load '"..tostring(modDirectory.."xml/animalFood.xml").."' no custom animalFood changes for GrainMillPlus will be loaded!")
    end
    return returnValue
end

AnimalFoodTypes.loadDefaultTypes = Utils.overwrittenFunction(AnimalFoodTypes.loadDefaultTypes, loadAnimalFood.loadAnimalFoodFromXML)
